Subject: bug#70715: closed (Re: [bug#70715] [PATCH v2 0/3] Change imported crate style.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Jun 2024 20:39:02 +0000

Your bug report

#70715: [PATCH 0/4] Change imported crate style.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70715: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70715
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#70715] [PATCH v2 0/3] Change imported crate style.
From: Ludovic Courtès <[email-masked]>
To: Herman Rimm <[email-masked]>
Cc: Tanguy Le Carrour <[email-masked]>, Sharlatan Hellseher <[email-masked]>, Munyoki Kilyungi <[email-masked]>, Lars-Dominik Braun <[email-masked]>, Efraim Flashner <[email-masked]>, [email-masked], jgart <[email-masked]>, Marius Bakke <[email-masked]>, Christopher Baines <[email-masked]>
Date: Mon, 03 Jun 2024 22:37:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Herman,

Herman Rimm <[email-masked]> skribis:

> I don't think indenting the #:cargo-development-inputs necessary;
> I removed the first patch and will work on [bug#49531] instead.

Yes, addressing #49531 would be great.

>   guix: Beautify crate importer synopses.
>   guix: Include a main verb in crate importer descriptions.
>   guix: End package descriptions with period.

Neat!  Applied after tweaking commit logs and making minor changes (see
following messages).

Thanks!

Ludo’.

Subject: [PATCH 0/4] Change imported crate style.
From: Herman Rimm <[email-masked]>
To: [email-masked]
Date: Thu, 2 May 2024 14:57:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Having created about 60 packages with the crate importer, I did it
slightly faster than usual with this patch series applied.

I would say 75% of the time the unindented #:cargo-development-inputs
exceeded 72 characters.

About 20% of the time a crate synopsis and description start with a
proper noun (Rust) or an acronym (FFI). Adding 'This package provides '
makes the description into more of a sentence, though sometimes an
indefinite article is missing. I could also instead add a flag to 'guix
import' for extending the description in this way.

Cheers,
Herman

Herman Rimm (4):
  guix: Indent cargo-development-inputs.
  guix: Beautify crate importer synopses.
  guix: Include a main verb in crate importer descriptions.
  guix: End package descriptions with period.

 guix/import/crate.scm | 12 ++++++++----
 guix/import/utils.scm |  7 +++++++
 guix/read-print.scm   |  1 +
 3 files changed, 16 insertions(+), 4 deletions(-)

-- 
2.41.0